# Class pyglet.text.layout.TextLayoutGroup

    graphics.Group --+
                     |
                    TextLayoutGroup

Top-level rendering group for TextLayout.

The blend function is set for glyph rendering (`GL_SRC_ALPHA` / `GL_ONE_MINUS_SRC_ALPHA`). The group is shared by all TextLayout instances as it has no internal state.

## Methods

| set_state(self) Apply the OpenGL state change.
| unset_state(self) Repeal the OpenGL state change.
| __init__(self, parent=None) Create a group. (Inherited from pyglet.graphics.Group)
| set_state_recursive(self) Set this group and its ancestry. (Inherited from pyglet.graphics.Group)
| unset_state_recursive(self) Unset this group and its ancestry. (Inherited from pyglet.graphics.Group)

## Method Details

### set_state

set_state(self)

Apply the OpenGL state change.

The default implementation does nothing.

Overrides:
  graphics.Group.set_state

### unset_state

unset_state(self)

Repeal the OpenGL state change.

The default implementation does nothing.

Overrides:
  graphics.Group.unset_state